Package co.aikar.timings

# Class TimingsManager

java.lang.Object
co.aikar.timings.TimingsManager

public final class TimingsManager extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final FullServerTickHandler`
`FULL_SERVER_TICK`
`static List<String>`
`hiddenConfigs`
`static final Timing`
`PLUGIN_GROUP_HANDLER`
`static boolean`
`privacy`
`static final co.aikar.timings.TimingHandler`
`TIMINGS_TICK`
`static String`
`url`

## Method Summary

Modifier and Type
Method
Description
`static @NotNull Timing`
`getCommandTiming(@Nullable String pluginName, @NotNull Command command)`
Due to access restrictions, we need a helper method to get a Command TimingHandler with String group
`static @Nullable Plugin`
`getPluginByClassloader(@Nullable Class<?> clazz)`
Looks up the class loader for the specified class, and if it is a PluginClassLoader, return the Plugin that created this class.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### FULL_SERVER_TICK

public static final FullServerTickHandler FULL_SERVER_TICK

### TIMINGS_TICK

public static final co.aikar.timings.TimingHandler TIMINGS_TICK

### PLUGIN_GROUP_HANDLER

public static final Timing PLUGIN_GROUP_HANDLER

### url

public static String url

### hiddenConfigs

public static List<String> hiddenConfigs

### privacy

public static boolean privacy

## Method Details

### getCommandTiming

@NotNull public static @NotNull Timing getCommandTiming(@Nullable @Nullable String pluginName, @NotNull @NotNull Command command)

Due to access restrictions, we need a helper method to get a Command TimingHandler with String group

Plugins should never call this

Parameters:
  `pluginName` - Plugin this command is associated with
  `command` - Command to get timings for
Returns:
  TimingHandler

### getPluginByClassloader

@Nullable public static @Nullable Plugin getPluginByClassloader(@Nullable @Nullable Class<?> clazz)
Looks up the class loader for the specified class, and if it is a PluginClassLoader, return the Plugin that created this class.

Parameters:
  `clazz` - Class to check
Returns:
  Plugin if created by a plugin